<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
	header("location:../");
}
include_once '../../conexao/index.php';

$id_sc = $_GET['id_sc'];

//incluir a biblioteca
include 'biblioteca/tcpdf.php';

// Criar novo documento PDF
$pdf = new TCPDF('P', 'mm', 'A4', true, 'UTF-8');
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetTitle('Saída de Caixa'); // Defina o título do PDF

$pdf->AddPage();

// Dados da Empresa a Faturar (exemplo)
$sql = "SELECT * FROM empresa";
$rs = mysqli_query($db, $sql);
$dados = mysqli_fetch_array($rs);
$img = $dados['img'];




$sqll = "SELECT *, (SELECT nome FROM users as u WHERE u.id = e.user) as utiliza FROM saida_caixa as e WHERE id = '$id_sc'";
$rs1 = mysqli_query($db, $sqll);
$dados1 = mysqli_fetch_array($rs1);
$serie = $dados1['serie'];
$caixote = $dados1['caixa'];

$sqlk = "SELECT (SELECT nome FROM users as u WHERE u.id = p.usuario) as u FROM periodo as p WHERE idperiodo = '$caixote'";
$rsk = mysqli_query($db, $sqlk);
$dadosk = mysqli_fetch_array($rsk);
$homem = $dadosk['u'];

// Conteúdo da fatura


// Dados da Empresa a Faturar
$pdf->SetFont('helvetica', '', 12);
$pdf->Ln(7);
// Definir a posição e o tamanho da imagem
$imageX = 160;   // Posição X da imagem
$imageY = 15;   // Posição Y da imagem
$imageWidth = 35;  // Largura da imagem
$imageHeight = 0;   // Altura da imagem (0 para manter a proporção)

// Inserir a imagem
$pdf->Image('../../img/'.$img.'', $imageX, $imageY, $imageWidth, $imageHeight);
$pdf->Cell(0, 7, $dados['nome'], 0, 1);

// // // Incluir o logotipo à direita
// $logoWidth = 30; // Largura do logotipo em milímetros
// $logoHeight = 0; // Altura do logotipo em milímetros (0 para manter a proporção)
// $logoX = $pdf->getPageWidth(100) - $pdf->getRightMargin(0) - $logoWidth; // Posição X calculada para alinhar à direita
// $logoY = $pdf->GetY(0); // Posição Y atual
// $pdf->Image('../img/iCone.png', $logoX, $logoY, $logoWidth, $logoHeight);

// // // Ajustar a posição Y para a próxima linha
// $pdf->SetY($pdf->GetY() + $pdf->getCellHeight(10));





// Restante dos dados da Empresa a Faturar
$pdf->SetFont('helvetica', '', 10);
$pdf->Cell(0, 7, $dados['endereco'], 0, 1);
$pdf->Cell(0, 7, 'Nuit: ' . $dados['nuit'], 0, 1);
$pdf->Cell(0, 7, 'Contacto: ' . $dados['contacto'], 0, 1);
$pdf->Cell(0, 7, 'E-mail: ' . $dados['email'], 0, 1);
$pdf->Cell(0, 7, $dados['pais'] .' - '. $dados['provincia'], 0, 1);

$pdf->SetFont('helvetica', 'B', 12);
$pdf->Cell(0, 10, 'Saída de Caixa EC# '.$serie.'/'.$id_sc, 0, 1);
// Desenhar uma linha horizontal
$pdf->SetLineWidth(0.1); // Defina a largura da linha
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)

// Tabela de Itens da Fatura
$pdf->SetFont('helvetica', 'B', 8);
$pdf->Ln(8);
$pdf->Cell(0, 7, '#', 'T', 0);
$pdf->SetX(30);
$pdf->Cell(0, 7, 'Descrição', 'T', 0);
$pdf->SetX(60);
$pdf->Cell(0, 7, 'Valor', 'T', 0);
$pdf->SetX(120);
$pdf->Cell(0, 7, 'Caixa', 'T', 0);
$pdf->SetX(160);
$pdf->Cell(0, 7, 'Utilizador', 'T', 0);

$pdf->Ln(8);
// Loop while para adicionar linhas de itens
$pdf->SetFont('helvetica', '', 8);
	$id = $dados3['id'];
    $pdf->Cell(0, 7, $dados1['id'], 0, 0);
	$pdf->SetX(30);
	$pdf->Cell(0, 7, "SC#".$dados1['serie']."/".$dados1['id'], 0, 0);
	$pdf->SetX(60);
	$pdf->Cell(0, 7, $dados1['valor'], 0, 0);
	$pdf->SetX(120);
	$pdf->Cell(0, 7, $homem, 0, 0);
	$pdf->SetX(160);
	$pdf->Cell(0, 7, $dados1['utiliza'], 0, 0);
	$pdf->Ln(6);



// Desenhar uma linha horizontal
$pdf->SetLineWidth(0.1); // Defina a largura da linha
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)
$pdf->Cell(0, 7, 'Documento Processado por Computador/ iVone ERP/', 0, 1);
// Totais


// // Assinaturas
// $pdf->SetFont('helvetica', 'B', 12);
// $pdf->Cell(0, 20, 'Assinaturas', 0, 1);


// Output do PDF
$pdf->Output('Saida_caixa.pdf', 'I');

// Fechar conexão e liberar recursos
$db->close();